Articles of 离子

离子和npm许可

我已经设置了一个离子v1项目。 现在当我input以下命令: ionic cordova platform add ios 我得到以下错误: [ERROR] Exception: Using cordova-fetch for ios Error: Failed to fetch platform ios Probably this is either a connection problem, or platform spec is incorrect. Check your connection and platform name/version/URL. Error: npm: Command failed with exit code 194 Error output: npm WARN checkPermissions Missing write access to […]

NPM安装-g cordova离子给出Err -13

我正尝试用npm安装离子(或任何东西),并且每次都遇到错误。 下面是我尝试安装离子时得到的错误的副本。 我已经尝试卸载/重新安装,但得到同样的问题。 npm ERR! tar.unpack untar error /Users/csutaria/.npm/ionic/1.4.5/package.tgz npm ERR! Darwin 14.3.0 npm ERR! argv "node" "/usr/local/bin/npm" "install" "-g" "cordova" "ionic" npm ERR! node v0.12.4 npm ERR! npm v2.10.1 npm ERR! path /usr/local/lib/node_modules/ionic npm ERR! code EACCES npm ERR! errno -13 npm ERR! Error: EACCES, mkdir '/usr/local/lib/node_modules/ionic' npm ERR! at Error (native) npm ERR! […]

windows:npm安装得到错误ERR! 代码ECONNRESET

我尝试安装离子,但是当运行npm install -g ionic我有下面的错误。 npm ERR! node v0.12.4 npm ERR! npm v2.10.1 npm ERR! code ECONNRESET npm ERR! network socket hang up npm ERR! network This is most likely not a problem with npm itself npm ERR! network and is related to network connectivity. npm ERR! network In most cases you are behind a proxy […]

我可以在不使用node.js的情况下使用Ionic构build托pipe的Web应用程序吗?

我有兴趣使用Ionic构build一个Web应用程序。 标签,forms的东西,与angular.js集成…一切看起来 应该很好。 不过,Ionic也看起来是为Android和IOS创build本地应用程序。 它依赖于node.js的服务。 我只是将其托pipe在我客户的共享主机帐户上 – 我将无法获得node.js的工作。 我不打算开发应用程序使用任何服务,所以我不认为我需要node.js。 我打算通过http post与我的数据库进行通信。 我有兴趣知道 – 有什么理由我不会这样做? 如果我没有使用任何其他的方式与服务器通信,没有node.js,我会好吗? 有没有更好的select创build一个HTML5手机页面的网页应用程序? 我也不打算进入相机,加速计或任何types的东西,所以我不认为我也需要cordova。

离子应用程序不能运行在4.x的Android平台

在升级Nodejs和所有其他模块后,我无法在4.x版本的androids中运行Ionic构build应用程序 它显示应用程序成功执行,但在仿真器或连接的设备上没有任何应用程序安装。 同样的事情是在cordova ionic info: Cordova CLI: 5.1.1 Ionic Version: 1.0.0 Ionic CLI Version: 1.5.5 Ionic App Lib Version: 0.2.2 OS: Windows 7 SP1 Node Version: v0.12.5 Npm version { menu: '1.0.0', npm: '2.11.2', http_parser: '2.3', modules: '14', node: '0.12.5', openssl: '1.0.1o', uv: '1.6.1', v8: '3.28.71.19', zlib: '1.2.8' } 更新[28/06/2015]我绑了几天,但没有成功。 我尝试了很多方法,但默认的Android目标:android-22 Creating Cordova project for […]

build立离子应用程序时找不到模块'shelljs'

当我build立android平台时,我收到shelljs模块找不到的错误,但是这个模块是全局安装的。 事实上,Android平台得到构build,我可以从Android Studio运行项目,但是…我想能够从控制台模拟,我不能这样做,因为这个错误 MacBook-Pro-de-Ruben-5:TransportMe rubdottocom$ sudo ionic build android Running command: /Users/rubdottocom/Documents/AndroidStudio/TransportMe/hooks/after_prepare/010_add_platform_class.js /Users/rubdottocom/Documents/AndroidStudio/TransportMe add to body class: platform-android Running command: /Users/rubdottocom/Documents/AndroidStudio/TransportMe/platforms/android/cordova/build module.js:338 throw err; ^ Error: Cannot find module 'shelljs' at Function.Module._resolveFilename (module.js:336:15) at Function.Module._load (module.js:278:25) at Module.require (module.js:365:17) at require (module.js:384:17) at Object.<anonymous> (/Users/rubdottocom/Documents/AndroidStudio/TransportMe/platforms/android/cordova/lib/build.js:24:15) at Module._compile (module.js:460:26) at Object.Module._extensions..js (module.js:478:10) at Module.load (module.js:355:32) at […]

离子安装通过NPM

每次安装Cordova和离子时,我都会遇到错误。 当我开始使用npm install -g cordova离子的安装。 安装光标保持旋转很多分钟,然后我必须明确终止安装。 请帮我解决这个问题。

azure色的通知中心客户端代码在离子中使用ngCordova和PushPlugin

哪个是适用于Azure通知中心的正确插件,用于离子应用程序? 在Phonegap / Cordova中有很多推送通知的插件,其中一些已经被弃用了。 请提供一些离线客户端实现Azure通知集线器的代码片段的参考链接,以及与node.js服务器端实现相同的参考链接。

在Visual Studio 2015 Blank Cordova项目中没有显示文件

自从几天以来我一直在与离子和cordova斗争,最后一个问题是我在Visual Studio中创build了一个空白项目样本,除了对Bower和NPM的依赖关系之外,解决scheme资源pipe理器没有显示任何文件,你知道吗为什么? 截图:

无法启动新的离子项目

嗨,我已经安装离子通过命令npm install -g cordova ionic ,当我开始我的离子项目,它给出了错误。 我卡住了请帮我解决这个错误。 无法添加插件。 也许你的cordova版本太旧了。 尝试更新(npm install -g cordova),删除此项目文件夹,然后重试。 (CLI v1.7.11) 您的系统信息: Cordova CLI:未安装 离子版本:1.1.1 Ionic CLI版本:1.7.11 Ionic App Lib版本:0.6.5 操作系统:节点版本:v5.1.1 错误日志